import 'package:auto_route/auto_route.dart';
import 'package:cpt_main/router/page/main_page_router.dart';
import 'package:cpt_profile/router/page/profile_page_router.dart';
import 'package:flutter/material.dart';
import 'package:plugin_basic/router/basic_page_router.dart';
import 'package:router/path/router_path.dart';

import '../../modules/splash/page/splash_page.dart';

part 'app_page_router.gr.dart';

@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class AppRouter extends _$AppRouter {
  @override
  List<AutoRoute> get routes => [
        AutoRoute(page: SplashPageRoute.page, initial: true, path: RouterPath.splash),
        // 合并子模块的路由配置
        ...BasicPageRouter().routes,
        ...MainPageRouter().routes,
        ...ProfilePageRouter().routes,
      ];

  @override
  Map<String, PageFactory> get pagesMap => {
        ...super.pagesMap,
        // 合并子模块的 pagesMap
        ...BasicPageRouter().pagesMap,
        ...MainPageRouter().pagesMap,
        ...ProfilePageRouter().pagesMap,
      };
}

final appRouter = AppRouter();
